# template: foreman_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%{!?_root_sysconfdir:%global _root_sysconfdir %{_sysconfdir}}

%global gem_name foreman_kubevirt
%global plugin_name kubevirt
%global foreman_min_version 1.24.0

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.1.9
Release: 5%{?foremandist}%{?dist}
Summary: Provision and manage Kubevirt Virtual Machines from Foreman
Group: Applications/Systems
License: GPLv3
URL: https://github.com/theforeman/foreman_kubevirt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

Autoreq: 0

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(fog-kubevirt) >= 1.3.3
Requires: %{?scl_prefix}rubygem(fog-kubevirt) < 1.4
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
BuildRequires: %{?scl_prefix}rubygem(fog-kubevirt) >= 1.3.3
BuildRequires: %{?scl_prefix}rubygem(fog-kubevirt) < 1.4
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Provision and manage Kubevirt Virtual Machines from Foreman.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_assets_plugin}
%{foreman_assets_foreman}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_plugin_log}

%changelog
* Wed Aug 24 2022 Evgeni Golov - 0.1.9-5
- Refs #35409 - Include sprockets assets

* Mon May 09 2022 Evgeni Golov - 0.1.9-4
- log plugin installation in posttrans

* Fri Apr 22 2022 Eric D. Helms <ericdhelms@gmail.com> - 0.1.9-3
- Stop generaing apipie cache

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.1.9-2
- Rebuild plugins for Ruby 2.7

* Thu Jan 21 2021 Shira Maximov <shiramaximov@gmail.com> 0.1.9-1
- Update to 0.1.9

* Wed Jun 24 2020 Shira Maximov <shiramaximov@gmail.com> 0.1.8-1
- Update to 0.1.8

* Fri Jan 17 2020 Eric D. Helms <ericdhelms@gmail.com> - 0.1.7-2
- Drop posttrans macros

* Mon Nov 11 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.7-1
- Update to 0.1.7

* Mon Jul 01 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.4-1
- Update to 0.1.4

* Wed May 15 2019 Moti Asayag <masayag@redhat.com> 0.1.3-1
- Update to 0.1.3

* Tue Apr 30 2019 Moti Asayag <masayag@redhat.com> 0.1.2-1
- Add rubygem-foreman_kubevirt generated by gem2rpm using the foreman_plugin template
